# $Revision: 1.17 $, $Date: 2009/12/16 13:34:11 $
Summary:	lbxproxy application - Low Bandwidth X proxy
Summary(pl.UTF-8):	Aplikacja lbxproxy - proxy X dla sieci o niskiej przepustowości
Name:		xorg-app-lbxproxy
Version:	1.0.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/lbxproxy-%{version}.tar.bz2
# Source0-md5:	0aa9284354552ce6700485a36d2803c3
Source1:	lbxproxy.1x.pl
Patch0:		%{name}-configdir.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libXext-devel >= 1.1.1-3
BuildRequires:	xorg-lib-liblbxutil-devel >= 1.1.0
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-bigreqsproto-devel
BuildRequires:	xorg-proto-xproxymanagementprotocol-devel
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Applications that would like to take advantage of the Low Bandwidth
extension to X (LBX) must make their connections to an lbxproxy. These
applications need to know nothing about LBX, they simply connect to
the lbxproxy as if were a regular server. The lbxproxy accepts client
connections, multiplexes them over a single connection to the X
server, and performs various optimizations on the X protocol to make
it faster over low bandwidth and/or high latency connections.

%description -l pl.UTF-8
Aplikacje chcące wykorzystać rozszerzenie LBX (Low Bandwidth X - X dla
sieci o małej przepustowości) muszą wykonywać połączenia do lbxproxy.
Aplikacje te nie muszą wiedzieć niczego o LBX, po prostu łączą się z
lbxproxy tak, jak ze zwykłym serwerem. lbxproxy przyjmuje połączenia
klienckie, przekazuje je naprzemiennie po pojedynczym połączeniu do
serwera X i wykonuje różne optymalizacje na protokole X w celu
uczynienia go szybszym po połączeniu o niskiej przepustowości i/lub
dużym opóźnieniu.

%prep
%setup -q -n lbxproxy-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make} \
	configdir=/etc/X11/lbxproxy

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	configdir=/etc/X11/lbxproxy

install -D %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/pl/man1/lbxproxy.1x

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/lbxproxy
%dir /etc/X11/lbxproxy
%config(noreplace) %verify(not md5 mtime size) /etc/X11/lbxproxy/AtomControl
%{_mandir}/man1/lbxproxy.1x*
%lang(pl) %{_mandir}/pl/man1/lbxproxy.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-lbxproxy.spec,v $
Revision 1.17  2009/12/16 13:34:11  qboosh
- builds with liblbxutil 1.1.0
- release 1

Revision 1.16  2009/11/11 21:57:58  qboosh
- updated to 1.0.2
- dropped outdated freebsd patch
- doesn't build currently (libs need update for current xextproto)

Revision 1.15  2008/07/27 23:01:46  arekm
- release 2

Revision 1.14  2007-04-30 21:19:09  qboosh
- informative descs from man

Revision 1.13  2007/02/12 22:09:23  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.11  2006/10/15 11:17:03  qboosh
- added pl lbxproxy(1x) manual from old XFree86/X11 packages
- added configdir patch, pass /etc/X11/lbxproxy as config dir (following X11-PLD.patch)
- release 1

Revision 1.10  2006/01/10 13:50:31  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.9  2005/12/09 11:17:59  qboosh
- 0.99.3 (X11R7.0-RC3)

Revision 1.8  2005/11/19 20:43:27  qboosh
- 0.99.2 (X11R7.0-RC2)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/21 13:32:00  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:44  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Sat Aug 13 2005 16:56:12  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- added BR: bigreqsproto-devel

* Sat Aug 13 2005 16:40:35  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- fixed summaries and descriptions
- fixed Group
- added man and lbxproxy-freebsd.patch
- defined %%{_prefix} and %%{_mandir}
- removed redundant BR: libX11-devel
- release 0.02

* Sun Aug  7 2005 16:52:52  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
